# Enum rocrand_ordering

- Defined in File rocrand.h

## Enum Documentation

enum rocrand_ordering

  rocRAND generator ordering

  Values:

  enumerator ROCRAND_ORDERING_PSEUDO_BEST

    Best ordering for pseudorandom results.

  enumerator ROCRAND_ORDERING_PSEUDO_DEFAULT

    Default ordering for pseudorandom results.

  enumerator ROCRAND_ORDERING_PSEUDO_SEEDED

    Fast lower quality pseudorandom results.

  enumerator ROCRAND_ORDERING_PSEUDO_LEGACY

    Legacy ordering for pseudorandom results.

  enumerator ROCRAND_ORDERING_PSEUDO_DYNAMIC

    Adjust to the device executing the generator.

  enumerator ROCRAND_ORDERING_QUASI_DEFAULT

    n-dimensional ordering for quasirandom results